Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZContentObjectEditHandler Class Reference

The class eZContentObjectEditHandler provides a framework for handling content/edit view specific things in extensions. More...

## Public Member Functions
| fetchInput ( $http, &$module, &$class, $object, &$version, $contentObjectAttributes, $editVersion, $editLanguage, $fromLanguage)
| publish ( $contentObjectID, $contentObjectVersion)
| validateInput ( $http, &$module, &$class, $object, &$version, $contentObjectAttributes, $editVersion, $editLanguage, $fromLanguage, $validationParameters)

## Static Public Member Functions
static | storeActionList ()
static | initialize ()
static | executeHandlerFunction ( $functionName, $params)
static | executeInputHandlers (&$module, &$class, $object, &$version, $contentObjectAttributes, $editVersion, $editLanguage, $fromLanguage)
static | executePublish ( $contentObjectID, $contentObjectVersion)
static | validateInputHandlers (&$module, &$class, $object, &$version, $contentObjectAttributes, $editVersion, $editLanguage, $fromLanguage, $validationParameters)
static | addStoreAction ( $name)
static | isStoreAction ()

## Detailed Description

The class eZContentObjectEditHandler provides a framework for handling content/edit view specific things in extensions.

Definition at line 18 of file ezcontentobjectedithandler.php.

## Member Function Documentation

## ◆ addStoreAction()

static eZContentObjectEditHandler::addStoreAction | ( |  | $name | ) |
| static

Set custom HTTP post parameters which should trigger store acrtions.

Parameters

  HTTP | post parameter name

Definition at line 188 of file ezcontentobjectedithandler.php.

Referenced by initialize().

## ◆ executeHandlerFunction()

static eZContentObjectEditHandler::executeHandlerFunction | ( |  | $functionName,
|  |  | $params
| ) |  |
| static

Execute handler $functionName function with given $params parameters

Definition at line 86 of file ezcontentobjectedithandler.php.

References eZExtension\baseDirectory().

Referenced by executeInputHandlers(), executePublish(), and validateInputHandlers().

## ◆ executeInputHandlers()

static eZContentObjectEditHandler::executeInputHandlers | ( | & | $module,
|  | & | $class,
|  |  | $object,
|  | & | $version,
|  |  | $contentObjectAttributes,
|  |  | $editVersion,
|  |  | $editLanguage,
|  |  | $fromLanguage
| ) |  |
| static

Calls all extension object edit input handler, and executes this the fetchInput function

Definition at line 111 of file ezcontentobjectedithandler.php.

References executeHandlerFunction(), and eZHTTPTool\instance().

## ◆ executePublish()

static eZContentObjectEditHandler::executePublish | ( |  | $contentObjectID,
|  |  | $contentObjectVersion
| ) |  |
| static

Calls all publish functions.

Definition at line 132 of file ezcontentobjectedithandler.php.

References executeHandlerFunction().

## ◆ fetchInput()

eZContentObjectEditHandler::fetchInput | ( |  | $http,
|  | & | $module,
|  | & | $class,
|  |  | $object,
|  | & | $version,
|  |  | $contentObjectAttributes,
|  |  | $editVersion,
|  |  | $editLanguage,
|  |  | $fromLanguage
| ) |  |

Override this function in the extension to handle edit input parameters.

Definition at line 23 of file ezcontentobjectedithandler.php.

## ◆ initialize()

static eZContentObjectEditHandler::initialize | ( |  | ) |
| static

Initialize all extension input handler.

Definition at line 59 of file ezcontentobjectedithandler.php.

References addStoreAction(), eZExtension\baseDirectory(), and eZDebug\writeError().

## ◆ isStoreAction()

static eZContentObjectEditHandler::isStoreAction | ( |  | ) |
| static

Check if any HTTP input trigger store action

Definition at line 201 of file ezcontentobjectedithandler.php.

## ◆ publish()

eZContentObjectEditHandler::publish | ( |  | $contentObjectID,
|  |  | $contentObjectVersion
| ) |  |

Do content object publish operations.

Definition at line 38 of file ezcontentobjectedithandler.php.

## ◆ storeActionList()

static eZContentObjectEditHandler::storeActionList | ( |  | ) |
| static

Return list of HTTP postparameters which should trigger store action.

Definition at line 30 of file ezcontentobjectedithandler.php.

## ◆ validateInput()

eZContentObjectEditHandler::validateInput | ( |  | $http,
|  | & | $module,
|  | & | $class,
|  |  | $object,
|  | & | $version,
|  |  | $contentObjectAttributes,
|  |  | $editVersion,
|  |  | $editLanguage,
|  |  | $fromLanguage,
|  |  | $validationParameters
| ) |  |

Override this function in the extension to handle input validation.

Result with warnings are expected in the following format: array( 'is_valid' => false, 'warnings' => array( array( 'text' => 'Input parameter <some_id> must be an integer.' ) ) );

Definition at line 48 of file ezcontentobjectedithandler.php.

## ◆ validateInputHandlers()

static eZContentObjectEditHandler::validateInputHandlers | ( | & | $module,
|  | & | $class,
|  |  | $object,
|  | & | $version,
|  |  | $contentObjectAttributes,
|  |  | $editVersion,
|  |  | $editLanguage,
|  |  | $fromLanguage,
|  |  | $validationParameters
| ) |  |
| static

Calls all input validation functions.

Definition at line 144 of file ezcontentobjectedithandler.php.

References executeHandlerFunction(), and eZHTTPTool\instance().

The documentation for this class was generated from the following file:

- ezcontentobjectedithandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.